#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		svers		%(echo %{version} | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	openbox
Version		:	3.6.1
Release		:	17.2.0.rel%{?dist}
Summary		:	A highly configurable and standards-compliant X11 window manager
Group		:	User Interface/Desktops

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://openbox.org

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	pango

Requires	:	xf86-input-libinput
Requires	:	xorg-server
#-----------------------------------------------------------------------------
%description
Openbox is a highly configurable, next generation window manager with
extensive standards support.

The *box visual style is well known for its minimalistic appearance.
Openbox uses the *box visual style, while providing a greater number
of options for theme developers than previous *box implementations.
The theme documentation describes the full range of options found in
Openbox themes.

Openbox lets you bring the latest applications outside of a full desktop
environment. Most modern applications have been written with GNOME and
KDE in mind. With support for the latest freedesktop.org standards,
as well as careful adherence to previous standards, Openbox provides an
environment where applications work the way they were designed to.

Openbox is a highly configurable window manager. It allows you to change
almost every aspect of how you interact with your desktop and invent
completely new ways to use and control it. It can be like a video game for
controlling windows. But Openbox can also be kept extremely simple, as it
is in the default setup, meaning that it can suit just about anybody.
Openbox gives you control without making you do everything.

Openbox makes desktop environments better. By running Openbox inside the
GNOME or K desktop environments, you can combine their ease and functionality
with the power of Openbox. Your desktop becomes cleaner and faster, and is
in your control, when you use Openbox. 

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
	

%files			
%defattr(-, root,root, -)

%doc AUTHORS COPYING README
%{_includedir}/%{name}/%{svers}/ob*/*.h
%{_sysconfdir}/xdg/%{name}/*
%{_bindir}/gdm-control
%{_bindir}/gnome-panel-control
%{_bindir}/obxprop
%{_bindir}/%{name}*
%{_libexecdir}/%{name}*-autostart
%{_libdir}/libob*.{la,so*}
%{_libdir}/pkgconfig/ob*.pc
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/applications/%{name}.desktop
%{_datadir}/themes/*
%{_datadir}/gnome-session/sessions/%{name}*.session
%{_datadir}/gnome/wm-properties/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/xsessions/openbox*.desktop
%{_defaultdocdir}/%{name}-%{version}/*
%{_mandir}/man1/*.1.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
